%define upstream_name    Dist-Zilla-Plugin-MakeMaker-SkipInstall
%define upstream_version 1.100

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Skip the install rule of MakeMaker
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangeLog)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
This small plugin will edit the 'Makefile.PL' file, and override the
install target to become a no-op.

This will make your module fail the install phase. It will be built, and
tested but will never be installed.

The most common use for this techinique is for the Task manpage modules.
Without a proper install phase, you can install your Task module repetedly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Apr 25 2011 Funda Wang <fwang@mandriva.org> 1.100.0-1mdv2011.0
+ Revision: 658769
- update to new version 1.100
- rebuild for updated spec-helper

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Sat Jan 09 2010 Jérôme Quelin <jquelin@mandriva.org> 1.2.0-1mdv2010.1
+ Revision: 488033
- import perl-Dist-Zilla-Plugin-MakeMaker-SkipInstall


* Sat Jan 09 2010 cpan2dist 1.002-1mdv
- initial mdv release, generated with cpan2dist
